View Issue Details

IDProjectCategoryView StatusLast Update
0003339GNUnettransport servicepublic2014-04-08 16:41
ReporterMatthias WachsAssigned ToMatthias Wachs 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003339: Transport connectivity: Address is not destroyed when CONNECT_SENT fails
DescriptionPeer A has only an IPv4 TCP address
Peer B tries to connect to A with a (previously valid) IPv6 TCP address:

Peer B get the IPv6 address suggested
Peer B obtains a new session
Peer B sends a CONNECT message with this session
CONNECT_MSG cannot be sent!
Peer B destroys the session, but not the address
Address gets suggested again!
-> Vicious circle! No connection!
TagsNo tags attached.

Activities

Matthias Wachs

2014-03-19 17:38

manager   ~0008149

Implemented with 32696.

Addresses are destroyed in 3 places:
- timeout for CONNECT_SENT in master task
- hard failure on papi->send CONNECT message
- papi send continuation for CONNECT message

-> tested

Issue History

Date Modified Username Field Change
2014-03-18 16:56 Matthias Wachs New Issue
2014-03-18 16:56 Matthias Wachs Status new => assigned
2014-03-18 16:56 Matthias Wachs Assigned To => Matthias Wachs
2014-03-19 17:38 Matthias Wachs Note Added: 0008149
2014-03-19 17:38 Matthias Wachs Status assigned => resolved
2014-03-19 17:38 Matthias Wachs Resolution open => fixed
2014-04-08 16:39 Christian Grothoff Product Version => SVN HEAD
2014-04-08 16:39 Christian Grothoff Fixed in Version => 0.10.1
2014-04-08 16:39 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:41 Christian Grothoff Status resolved => closed